Check if a pull request has been merged
GET
/repos/{owner}/{repo}/pulls/{index}/merge
const url = 'https://gitea.example.com/api/v1/repos/example/example/pulls/1/merge';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/pulls/1/merge \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the pull request
Responses
Section titled “Responses”Pull request has been merged
Media typeapplication/json
Pull request has not been merged
Media typeapplication/json